package com.cmcc.media;

/**
 * 扩展系统MediaPlayer的功能
 */
public interface MediaPlayerEx {
	public enum CHANNEL {
		LEFT, // 左声道
		RIGHT, // 右声道
		CENTER // 左+右声道
	}

	/**
	 * 切换到指定声道并返回切换后的声道,切换音频文件播放的左右声道后，必须左右喇叭均同时播放选中的声道的声音。
	 * 
	 * @param channel
	 */
	public CHANNEL switchChannel(CHANNEL channel);
	
	/**
     * MediaPlayer在播放双音轨MP4文件时，是否支持下面所有可选特性：<br/>
     * 1、支持播放过程中进行音轨切换；<br/>
     * 2、切换音轨耗时不高于100毫秒；<br/>
     * 3、切换音轨不会造成播放时间轴的跳变。
     * @return 支持返回true，不支持返回false
     */
    public boolean canSelectTrackImmediately();

}
